Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Path Parameters

webhook_id
string
required

Webhook ID

Response

Webhook details retrived.

created_at
string
required

Created at timestamp

description
string
required

An example webhook name.

id
string
required

The webhook's ID.

metadata
object
required

Metadata of the webhook

updated_at
string
required

Updated at timestamp

url
string
required

Url endpoint of the webhook

disabled
boolean | null

Status of the webhook.

If true, events are not sent

filter_types
string[] | null

Filter events to the webhook.

Webhook event will only be sent for events in the list.

rate_limit
integer<int32> | null

Configured rate limit

Required range: x >= 0
Last modified on August 12, 2026